*{
 margin: 0;
 padding: 0;
 box-sizing: border-box;
 scroll-behavior: smooth;
}

body {
    background-color: hsla(0,0%,0%,1);
}

.fa {
  padding: 20px;
  font-size: 30px;
  width: 50px;
  text-align: center;
  text-decoration: none;
}

.fa:hover {
  opacity: 0.7;
}

.social-icons {
    display: flex;            
    justify-content: center;    
    align-items: center;
    gap: 20px;   
}

.social-icons img {
    width: 25px;              
    height: 25px;     
}

.social-icons a:hover {
    transform: scale(1.1);
}

.youtube {
  color: white;
}

.twitter {
  color: white;
}

.tiktok {
  color: white;
}

.Hex {
    width: 30px;              
    height: 30px; 
}

.title {
    display: flex;            
    justify-content: center;    
    align-items: center;
    gap: 10px;   
}

h1 {
 font-family: 'Montserrat', sans-serif;
 font-style: normal;
 font-weight: 400;
 letter-spacing: 0em;
 line-height: 1.3em;
}

h2 {
 font-family: 'Montserrat', sans-serif;
 font-style: italic;
 font-weight: 900;
 text-transform: uppercase;
 letter-spacing: 0em;
 line-height: 0.7em;
 color: hsla(0,0%,10.98%,1);
}

h3 {
 font-family: 'Montserrat', sans-serif;
 font-style: normal;
 font-weight: 400;
 text-transform: uppercase;
 letter-spacing: 0em;
 line-height: 1.3em;
 color: hsla(0,0%,86.27%,1);
}

h4 {
 font-family: 'Montserrat', sans-serif;
 font-style: normal;
 font-weight: 900;
 text-transform: uppercase;
 letter-spacing: 0em;
 line-height: 0.7em;
}

p {
 font-family: 'Montserrat', sans-serif;
 font-style: normal;
 font-weight: 400;
 letter-spacing: 0em;
 line-height: 1.3em;
}

header {
 display: flex;            
 justify-content: space-between;    
 align-items: center;
 width: 100%;
 background-position: center;
 background-size: cover;
 padding: 20px 20%;
}

.hero{
 display: flex;
 width: 100%;
 min-height: 88vh;
 background-position: center;
 background-size: cover;
 padding: 10px 10%;
 justify-content: center;
 align-items: center;
 overflow: hidden;
}

.home{
  width: 100%;
  background-image: url(./Resources/repeating-hexagon4kthin.png);
  background-position: center;
  background-size: cover;
  background-color: hsla(0,0%,86.27%,1);
}

@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

.HomeTitle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 116px;
    text-align: center;
    gap: 50px;
    opacity: 1;
    animation: fadeIn 1s ease-in-out;
}

.move-btn {
  background-color: hsla(0,0%,10.98%,1);
  color: white;
  padding: 12px 30px;
  border: none;
  border-radius: 4px;   /* Slightly rounded corners */
  font-size: 16px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.move-btn:hover {
  background-color: #ff2b42;
}

.cover {
    width: 400px;
    height: auto;
}

.cover1 {
    padding: 100px;
}

* {
  box-sizing: border-box;
}

.carousel {
  position: relative;
  overflow: hidden;
  padding-top: 50px;
  padding-bottom: 50px;
  background-color: hsla(0,0%,10.98%,1);
}

.carousel h4 {
  padding: 50px;
  font-size: 75px;
  display: flex;            
  justify-content: center;    
  align-items: center;
  color: hsla(0,0%,86.27%,1);
}

.carousel-track-wrapper {
  overflow: hidden;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.carousel-slide {
  flex: 0 0 33.333%; /* 3 slides visible */
  padding: 0 10px;
  text-align: center;
}

.image-wrapper {
  width: 100%;
  aspect-ratio: 16 / 9;
  overflow: hidden;
  border-radius: 10px;
}

.image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel-slide h3 {
  margin-top: 10px;
  font-size: 16px;
}

.carousel-btn {
  position: absolute;
  top: 60%;
  transform: translateY(-50%);
  background: rgba(0,0,0,0.5);
  color: white;
  border: none;
  padding: 12px 16px;
  cursor: pointer;
  font-size: 22px;
  z-index: 10;
  border-radius: 40%;
}

.prev { left: 10px; }
.next { right: 10px; }

/* Tablet */
@media (max-width: 900px) {
  .carousel-slide {
    flex: 0 0 50%;
  }
}

/* Mobile */
@media (max-width: 600px) {
  .carousel-slide {
    flex: 0 0 100%;
  }
}

.container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    min-height: 80vh;
    background: hsla(0,0%,10.98%,1);
    padding: 30px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.video-section {
    flex: 1 1 500px;
    padding: 10px;
}

.video-section video {
    width: 100%;
    border-radius: 8px;
}

.text-section {
    flex: 1 1 400px;
    padding: 20px;
}

.text-section h4 {
    margin-top: 0;
    font-size: 50px;
    line-height: normal;
    color: #ffffff;
    padding-bottom: 10px;
}

.text-section p {
    font-size: 20px;
    line-height: 1.6;
    color: #aaaaaa;
}

.clients {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 60vh;
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #000000;
  text-align: center;
}

.subtitles {
  display: flex;
  gap: 50px; /* space between the two subtitles */
}

.subtitles h2 {
  margin: 0;
  font-size: 1.5rem;
  color: #555;
}

h5{
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 0em;
  line-height: 1em;
  font-size: 64px;
  color: #ffffff;
  padding-bottom: 50px;
}

@media (max-width: 768px) {
    .container {
        flex-direction: column;
        text-align: center;
    }
}

footer {
 width: 100%;
 background-color: hsla(0,0%,0%,1);;
 background-position: center;
 background-size: cover;
 padding: 20px 20%; 
 display: flex;            
 justify-content: space-between;    
 align-items: center;
}

.email {
  text-decoration: none;
  color: #ffffff;
}

.email h1 {
  text-decoration: none;
  color: #ffffff;
  font-size: 16px;
}

@media only screen and (max-width: 1200px) {
header {
 display: flex;            
 justify-content: space-between;    
 align-items: center;
 width: 100%;
 background-color: hsla(0,0%,86.27%,1);
 background-position: center;
 background-size: cover;
 padding: 20px 10%;
}
.hero{
 display: flex;
 width: 100%;
 min-height: 70vh;
 background-color: hsla(0,0%,86.27%,1);
 background-position: center;
 background-size: cover;
 padding: 10px 10%;
 justify-content: center;
 align-items: center;
 overflow: hidden;
}
.HomeTitle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 80px;
    text-align: center;
    gap: 25px;
    opacity: 1;
    animation: fadeIn 1s ease-in-out;
}
.move-btn {
  background-color: hsla(0,0%,10.98%,1);
  color: white;
  padding: 12px 30px;
  border: none;
  border-radius: 4px;   /* Slightly rounded corners */
  font-size: 8px;
}
.title {
    display: flex;            
    justify-content: center;    
    align-items: center;
    gap: 10px;  
    font-size: 10px; 
}
}

@media only screen and (max-width: 600px) {
header {
 display: flex;            
 justify-content: space-between;    
 align-items: center;
 width: 100%;
 background-color: hsla(0,0%,86.27%,1);
 background-position: center;
 background-size: cover;
 padding: 20px 10%;
}
.hero{
 display: flex;
 width: 100%;
 min-height: 70vh;
 background-color: hsla(0,0%,86.27%,1);
 background-position: center;
 background-size: cover;
 padding: 10px 10%;
 justify-content: center;
 align-items: center;
 overflow: hidden;
}
.HomeTitle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    text-align: center;
    gap: 25px;
    opacity: 1;
    animation: fadeIn 1s ease-in-out;
}
.move-btn {
  background-color: hsla(0,0%,10.98%,1);
  color: white;
  padding: 12px 30px;
  border: none;
  border-radius: 4px;   /* Slightly rounded corners */
  font-size: 8px;
}
.title {
    display: flex;            
    justify-content: center;    
    align-items: center;
    gap: 10px;  
    font-size: 10px; 
}
.video-section {
    flex: 1 1 0px;
    padding: 10px;
}
.container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    min-height: 6cm;
    background: hsla(0,0%,10.98%,1);
    padding: 5px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}
.subtitles h2 {
  margin: 0;
  font-size: 1rem;
  color: #555;
  line-height: normal;
}
.clients {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 40vh;
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #000000;
  text-align: center;
}

h5{
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 0em;
  line-height: 1em;
  font-size: 32px;
  color: #ffffff;
  padding-bottom: 50px;
}
h3{
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 400;
  text-transform: uppercase;
  letter-spacing: 0em;
  line-height: 1em;
  font-size: 12px;
  color: #ffffff;
}
.email h1{
  font-size: 12px;
}
footer {
 width: 100%;
 background-color: hsla(0,0%,0%,1);;
 background-position: center;
 background-size: cover;
 padding: 10px 5%; 
 display: flex;            
 justify-content: space-between;    
 align-items: center;
}
.text-section {
    flex: 1 1 400px;
    padding: 25px;
}

.text-section h4 {
    margin-top: 0;
    font-size: 25px;
    line-height: normal;
    color: #ffffff;
    padding-bottom: 10px;
}

.text-section p {
    font-size: 16px;
    line-height: 1.6;
    color: #aaaaaa;
}
.carousel h4 {
  font-size: 35px;
  padding-top: 0px;
}
}
